Novell Home

My Favorites

Close

Please to see your favorites.

How to install Flash Player 9 on SUSE Linux Enterprise Desktop 10

This document (3803297) is provided subject to the disclaimer at the end of this document.

Environment

SUSE Linux Enterprise Desktop 10

Situation

** IMPORTANT ** The instructions contained in this Techinical Information Document are only necessary on SUSE Linux Enterprise Desktop 10.  Adobe's Flash Player 9 has been released with SUSE Linux Enterprise 10 SP1 and SP2 and is installed by default on those versions.

While it is strongly suggested that an upgrade to SLED 10 SP2 (either via the software updater or using downloaded SLED 10 SP2 media) be performed, this information is provided in the event that a timely update to SP2 is not possible.

Resolution

  1. On the SLED 10 machine, using Firefox go to: http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash and click on the pulldown box and select ".rpm for Linux" link and press the "Agree and install now" button after reviewing the Software License.

  2. When the download dialog box appears, click the "Open with zen-installer (default)" radio button and select OK.

  3. Enter root's password when prompted
  4. Click "Install" when the Software Installer Window appears
  5. Open a terminal window and type su to login as root

  6. Rename the old flash plugin from /usr/lib/browser-plugins/libflashplayer.so to /usr/lib/browser-plugins/libflashplayer.v7

    mv /usr/lib/browser-plugins/libflashplayer.so /usr/lib/browser-plugins/libflashplayer.v7

  7. Copy the new libflashplayer.so from the firefox plugins directory to the SLED browser plugins directory

    cp /usr/lib/firefox/plugins/libflashplayer.so /usr/lib/browser-plugins/

  8. Make sure that the file has the group and user both set to root

    chown root.root libflashplayer.so
    chmod 755 libflashplayer.so

  9. Close down all of the firefox windows that are currenlty open and then launch a new firefox window.

  10. In the URL section type about:plugins and you should now see that it says Flash Player 9.0 rather than 7.x.


Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:3803297
  • Creation Date:17-JAN-07
  • Modified Date:26-APR-12
    • SUSESUSE Linux Enterprise Desktop

Did this document solve your problem? Provide Feedback